Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetCompression

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master compression type

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetCompression(Mat F, MatSTRUMPACKCompressionType *comp)

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()` from PETSc-STRUMPACK interface

## Output Parameter

- comp - Type of compression to be used in the approximate sparse factorization

## Note

Default is `MAT_STRUMPACK_COMPRESSION_TYPE_NONE` for `-pc_type lu` and `MAT_STRUMPACK_COMPRESSION_TYPE_BLR` for `-pc_type ilu`

## See Also

`MATSOLVERSTRUMPACK`, `MatGetFactor()`, `MatSTRUMPACKCompressionType`, `MatSTRUMPACKSetCompression()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetCompression_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages